<template>
  <q-page class="q-pa-md">
    <q-layout view="lHh Lpr lFf">
      <q-page-container>
        <div class="row full-width">
          <div class="col-12 col-md-8">
            <q-list>
              <post-card
                v-for="post in linksList"
                :key="post.id"
                v-bind="post"
                :post="post"
              />
            </q-list>
          </div>
          <div class="col-12 col-md-4">
            <spotlight-card class="q-mb-md" />
            <suggestion-card />
          </div>
        </div>
      </q-page-container>
    </q-layout>
  </q-page>
</template>


<script setup lang="ts">
import PostCard, { PostCardProps } from 'components/PostCard.vue';
import SpotlightCard from 'components/SpotlightCard.vue';
import SuggestionCard from 'components/SuggestionCard.vue';

import image1 from '../assets/images/exploration-du-champ-etoiles-nature-telescope-genere-par-ia.jpg';
import image2 from '../assets/images/pexels-creationsbyfaik-1025469.jpg';
import image3 from '../assets/images/pexels-pixabay-2166.jpg';
import image4 from '../assets/images/pexels-pixabay-87009.jpg';
import image5 from '../assets/images/prise-vue-verticale-beau-ciel-etoile.jpg';
import image6 from '../assets/images/pexels-pixabay-2156.jpg';
import image7 from '../assets/images/pexels-pixabay-39896.jpg';
import image8 from '../assets/images/pexels-pixabay-87611.jpg';
import image9 from '../assets/images/satellite-brillant-orbite-autour-planete-dans-galaxie-remplie-etoiles-generee-par-ia.jpg';

defineOptions({
  name: 'ExampleComponent'
});

const images = [
  image1,
  image2,
  image3,
  image4,
  image5,
  image6,
  image7,
  image8,
  image9,
];

const randomImage = () => images[Math.floor(Math.random() * images.length)];

const linksList: PostCardProps['post'][] = [
  {
    id: '1',
    date: '2024-06-01',
    link: '/post/1',
    likes: 150,
    comments: 23,
    message: 'Observing Jupiter tonight! The Great Red Spot is incredibly clear. Have you ever seen it?',
    image: randomImage(),
    author: {
      name: 'Alice Skywatcher',
      username: 'alice_astro',
      avatar: 'https://cdn.quasar.dev/img/avatar1.jpg',
    },
  },
  {
    id: '2',
    date: '2024-06-10',
    link: '/post/2',
    likes: 200,
    comments: 45,
    message: 'The Milky Way from my backyard last night. Perfect clear sky and no light pollution!',
    image: randomImage(),
    author: {
      name: 'Bob Stargazer',
      username: 'bob_stargazer',
      avatar: 'https://cdn.quasar.dev/img/avatar2.jpg',
    },
  },
  {
    id: '3',
    date: '2024-06-13',
    link: '/post/3',
    likes: 340,
    comments: 67,
    message: 'Can’t believe we spotted the Andromeda Galaxy with just a pair of binoculars! It was stunning.',
    image: randomImage(),
    author: {
      name: 'Carol Nebula',
      username: 'carol_nebula',
      avatar: 'https://cdn.quasar.dev/img/avatar3.jpg',
    },
  },
  {
    id: '4',
    date: '2024-06-15',
    link: '/post/4',
    likes: 275,
    comments: 39,
    message: 'Lunar eclipse tonight! Grab your telescopes and enjoy the show.',
    image: randomImage(),
    author: {
      name: 'David Moon',
      username: 'david_moon',
      avatar: 'https://cdn.quasar.dev/img/avatar4.jpg',
    },
  },
  {
    id: '5',
    date: '2024-06-20',
    link: '/post/5',
    likes: 420,
    comments: 82,
    message: 'Caught the International Space Station passing overhead! Such a bright and fast-moving object.',
    image: randomImage(),
    author: {
      name: 'Eve Satellite',
      username: 'eve_satellite',
      avatar: 'https://cdn.quasar.dev/img/avatar5.jpg',
    },
  },
];
</script>
